Bug 134599 - [iOS] user caption preferences not applied
Summary: [iOS] user caption preferences not applied
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-03 10:09 PDT by Eric Carlson
Modified: 2014-07-08 21:53 PDT (History)
8 users (show)

See Also:


Attachments
Proposed patch. (5.03 KB, patch)
2014-07-03 10:49 PDT, Eric Carlson
andersca: review-
Details | Formatted Diff | Diff
Proposed patch. (2.82 KB, patch)
2014-07-08 13:58 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-10 for mac-mountainlion-wk2 (1.02 MB, application/zip)
2014-07-08 18:15 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2014-07-03 10:09:09 PDT
The stylesheet generated from user preferences isn't used on iOS when in WK2 mode.
Comment 1 Eric Carlson 2014-07-03 10:18:02 PDT
This is fallout from r162395, because not every Page in a PageGroup uses the same UserContentController.
Comment 2 Eric Carlson 2014-07-03 10:49:48 PDT
Created attachment 234355 [details]
Proposed patch.
Comment 3 Anders Carlsson 2014-07-07 11:25:31 PDT
Comment on attachment 234355 [details]
Proposed patch.

This needs to be done by user caption preferences, not in PageGroup. We're trying to get rid of as much of page group as possible.
Comment 4 Eric Carlson 2014-07-08 13:58:19 PDT
Created attachment 234593 [details]
Proposed patch.
Comment 5 Build Bot 2014-07-08 18:15:09 PDT
Comment on attachment 234593 [details]
Proposed patch.

Attachment 234593 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5717610662461440

New failing tests:
media/W3C/video/src/src_reflects_attribute_not_source_elements.html
Comment 6 Build Bot 2014-07-08 18:15:13 PDT
Created attachment 234610 [details]
Archive of layout-test-results from webkit-ews-10 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-10  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 7 Sam Weinig 2014-07-08 20:34:40 PDT
Comment on attachment 234593 [details]
Proposed patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=234593&action=review

> Source/WebCore/page/CaptionUserPreferences.cpp:256
> +            pageUserContentController->addUserStyleSheet(mainThreadNormalWorld(), std::move(userStyleSheet), InjectInExistingDocuments);

I don't think you need to explicitly use std::move here.
Comment 8 Eric Carlson 2014-07-08 21:21:46 PDT
(In reply to comment #7)
> (From update of attachment 234593 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=234593&action=review
> 
> > Source/WebCore/page/CaptionUserPreferences.cpp:256
> > +            pageUserContentController->addUserStyleSheet(mainThreadNormalWorld(), std::move(userStyleSheet), InjectInExistingDocuments);
> 
> I don't think you need to explicitly use std::move here.

It looks like it is necessary.
Comment 9 WebKit Commit Bot 2014-07-08 21:53:27 PDT
Comment on attachment 234593 [details]
Proposed patch.

Clearing flags on attachment: 234593

Committed r170908: <http://trac.webkit.org/changeset/170908>
Comment 10 WebKit Commit Bot 2014-07-08 21:53:33 PDT
All reviewed patches have been landed.  Closing bug.